Bug 258835 - net-mgmt/bandwhich: Fix linked_hash_map panic
Summary: net-mgmt/bandwhich: Fix linked_hash_map panic
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Yasuhiro Kimura
URL:
Keywords: crash, easy
Depends on:
Blocks:
 
Reported: 2021-10-01 10:10 UTC by Petteri Valkonen
Modified: 2021-11-01 07:31 UTC (History)
3 users (show)

See Also:
petteri.valkonen: merge-quarterly?


Attachments
Patch to update linked-hash-map dependency to version 0.5.4 (78.81 KB, patch)
2021-10-01 10:10 UTC, Petteri Valkonen
no flags Details | Diff
Patch to update linked-hash-map dependency to version 0.5.4 (79.12 KB, patch)
2021-10-31 10:26 UTC, Petteri Valkonen
petteri.valkonen: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Petteri Valkonen 2021-10-01 10:10:36 UTC
Created attachment 228312 [details]
Patch to update linked-hash-map dependency to version 0.5.4

The linked_hash_map library causes a panic on program startup, that messes up the output (https://github.com/imsnif/bandwhich/issues/216). The problem can be fixed by updating the library to version 0.5.4 (https://github.com/imsnif/bandwhich/pull/192#issuecomment-904723414).
Comment 1 Petteri Valkonen 2021-10-31 10:26:15 UTC
Created attachment 229167 [details]
Patch to update linked-hash-map dependency to version 0.5.4

Updated patch after port revision 9.
Comment 2 Yasuhiro Kimura freebsd_committer 2021-11-01 05:13:30 UTC
Take.
Comment 3 commit-hook freebsd_committer 2021-11-01 05:20:22 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7ce7550d96ed612820bf28e3ebb02387448815df

commit 7ce7550d96ed612820bf28e3ebb02387448815df
Author:     Petteri Valkonen <petteri.valkonen@iki.fi>
AuthorDate: 2021-11-01 05:14:31 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-01 05:19:20 +0000

    net-mgmt/bandwhich: Fix linked_hash_map panic

    PR:             258835
    MFH:            2021Q4

 net-mgmt/bandwhich/Makefile |   4 +-
 net-mgmt/bandwhich/distinfo | 978 ++++++++++++++++++++++----------------------
 2 files changed, 491 insertions(+), 491 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-11-01 07:23:44 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=944336d680fc2a18145851c7c345469b892053c7

commit 944336d680fc2a18145851c7c345469b892053c7
Author:     Petteri Valkonen <petteri.valkonen@iki.fi>
AuthorDate: 2021-11-01 05:14:31 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-01 07:22:09 +0000

    net-mgmt/bandwhich: Fix linked_hash_map panic

    PR:             258835
    MFH:            2021Q4
    (cherry picked from commit 7ce7550d96ed612820bf28e3ebb02387448815df)

 net-mgmt/bandwhich/Makefile |   4 +-
 net-mgmt/bandwhich/distinfo | 978 ++++++++++++++++++++++----------------------
 2 files changed, 491 insertions(+), 491 deletions(-)
Comment 5 Yasuhiro Kimura freebsd_committer 2021-11-01 07:31:11 UTC
Committed and merged to quarterly branch. Thanks!